TestWithParameters (JUnit API)
Date: 2018-08-04

org.junit.runners.parameterized

## Class TestWithParameters

- java.lang.Object
- - org.junit.runners.parameterized.TestWithParameters

-     public class TestWithParameters
      extends java.lang.Object

  A `TestWithParameters` keeps the data together that are needed for creating a runner for a single data set of a parameterized test. It has a name, the test class and a list of parameters.
  Since:
    4.12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestWithParameters(java.lang.String name, TestClass testClass, java.util.List<java.lang.Object> parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()`
    `java.util.List<java.lang.Object>` | `getParameters()`
    `TestClass` | `getTestClass()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestWithParameters

          public TestWithParameters(java.lang.String name,
                            TestClass testClass,
                            java.util.List<java.lang.Object> parameters)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getTestClass

          public TestClass getTestClass()

    - #### getParameters

          public java.util.List<java.lang.Object> getParameters()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`